Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.complex
Class ComplexUtils

    java.lang.Object
      org.apache.commons.math.complex.ComplexUtils

    public class ComplexUtils

extends Object

Static implementations of common `Complex` utilities functions.

Version:
  $Revision: 990655 $ $Date: 2010-08-29 23:49:40 +0200 (dim. 29 août 2010) $

Constructor Summary
`private` | `ComplexUtils()` Default constructor.

Method Summary
`static Complex` | `polar2Complex(double r, double theta)` Creates a complex number from the given polar representation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComplexUtils

    private ComplexUtils()

  Default constructor.

Method Detail

### polar2Complex

    public static Complex polar2Complex(double r,
                                        double theta)

  Creates a complex number from the given polar representation.

  The value returned is `r·ei·theta`, computed as `r·cos(theta) + r·sin(theta)i`

  If either `r` or `theta` is NaN, or `theta` is infinite, `Complex.NaN` is returned.

  If `r` is infinite and `theta` is finite, infinite or NaN values may be returned in parts of the result, following the rules for double arithmetic.

       Examples:

       polar2Complex(INFINITY, π/4) = INFINITY + INFINITY i
       polar2Complex(INFINITY, 0) = INFINITY + NaN i
       polar2Complex(INFINITY, -π/4) = INFINITY - INFINITY i
       polar2Complex(INFINITY, 5π/4) = -INFINITY - INFINITY i

  Parameters:
    `r` - the modulus of the complex number to create
    `theta` - the argument of the complex number to create
  Returns:
    `r·ei·theta`
  Throws:
    `IllegalArgumentException` - if r is negative
  Since:
    1.1

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003-2013 Apache Software Foundation